FME und ArcGIS Desktop/ArcGIS Pro

Welche Bedingungen müssen erfüllt werden, um das Lesen/Schreiben von ESRI Formats oder die Verwendung von ESRI Geoprocessing (Arcpy) zu erlauben.

Compatibilité des versions

Que ce soit pour l’utilisation des readers/writers ESRI nécessitant une licence, ou pour l’intégration de scripts python de geoprocessing ESRI (ArcPy), ArcGIS Desktop ou ArcGIS Pro doit être installé sur la même machine que FME, et une licence ArcGIS doit être disponible.
 
Il convient d’abord de vérifier que les versions de FME et de ArcGIS installées sont compatibles entre elles :
 

Readers/writers

A partir du moment où une licence ArcGIS est disponible sur la même machine, les readers/writers ESRI sous licence devraient être accessibles avec FME.
FME supporte plusieurs readers/writers pour la lecture et l’écriture de formats ESRI. Voici les principaux et leurs caractéristiques de base :
 
  • Esri Geodatabase (Personal Geodb)
- Geodatabase fichier, format .mdb (Access)
- Disponible uniquement avec FME 32 bits
- Taille maximale d’un fichier : 2 Go
 
  • Esri Geodatabase (File Geodb)
- Geodatabase « dossier », format .gdb
- Disponible avec FME 32 (ArcGIS Desktop) et 64 bits (64 bits background geoprocessing ou ArcGIS Pro)
- Pas de taille limite de la geodatabase
 
  • Esri Geodatabase (File Geodb Open API)
- Geodatabase « dossier », format .gdb
- Ne nécessite pas de licence ArcGIS
- Certaines fonctionnalités de la geodatabase non disponibles
- Disponible avec FME 32 et 64 bits
 
  • Esri Geodatabase (ArcSDE Geodb)
- ArcGIS Enterprise Geodatabase
- Disponible avec FME 32 (ArcGIS Desktop) et 64 bits (64 bits background geoprocessing ou ArcGIS Pro)
 
  • Esri Legacy ArcSDE :
- Ne nécessite pas d’installation desktop
- Disponible avec FME 32 et 64 bits, à condition que les librairies clients (32 ou 64 bits) de la base de données soient disponibles
 
Vous trouverez plus d’information à ce sujet ici:
 
A noter que du côté de FME, la version Pro permet de lire tous les formats ESRI, à l’exception de ArcGIS Enterprise Standard et Advanced, ainsi que Esri Legacy ArcSDE, qui nécessitent FME ESRI edition.
 

Geoprocessing ESRI (Arcpy) dans FME

Plusieurs scénarios d’installation de ArcGIS sont à différencier et détermineront la configuration requise du côté de FME pour que les libraires ArcPy soient appelées correctement :

  1. ArcGIS Desktop: seul FME 32 bits est compatible avec ArcGIS Desktop, qui tourne lui-même en 32 bits.
  La configuration du côté de FME est la suivante :
 
a. FME Workbench -> Tools -> FME Options -> Translation -> Python Interpreter:
 
 
C:\Windows\SysWOW64\python27.dll   
 
b. Workspace Parameters -> Scripting -> Python Compatibility:
 
 
ESRI ArcGIS Desktop (Python 2.7) 
 
  1. ArcGIS Desktop + ArcGIS 64-bit background geoprocessing : FME 64 bits peut également être utilisé moyennant le changement suivant :
a. Python Interpreter :
 
C:\Windows\System32\python27.dll 
 
  1. ArcGIS Pro: FME 64 bits seulement est utilisable. Les réglages suivants sont nécessaires :

a. Dans la variable d’environnement Windows Path, il faut ajouter les deux valeurs suivantes :

C:\Program Files\ArcGIS\Pro\bin 
C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\Library\bin 

b. Python Interpreter:

C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\python35.dll  

c. Workspace Parameters -> Scripting -> Python Compatibility:

ESRI ArcGIS Pro (selon version) 
 
A noter que dans le cas de ArcGIS Pro, la version 3 de Python est utilisée.

N’hésitez pas à nous contacter si vous rencontrez des problèmes dans la mise en œuvre de ces différentes règles.

 

Hinterlasse einen Kommentar